Bug 1472 - Wrong content-type on atom feed
Summary: Wrong content-type on atom feed
Status: REOPENED
Alias: None
Product: Websites
Classification: Unclassified
Component: planet.mageia.org (show other bugs)
Version: trunk
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Atelier Team
QA Contact:
URL: http://planet.mageia.org/en/?type=atom10
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-29 17:29 CEST by Palm Pre
Modified: 2015-04-21 20:06 CEST (History)
6 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Palm Pre 2011-05-29 17:29:04 CEST
Description of problem: I try to subscribe to mageia feeds with Liferea using http://planet.mageia.org/rss20.xml. 

Liferea responds
 "The URL you want Liferea to subscribe to points to a webpage and the auto discovery found no feeds on this page. Maybe this webpage just does not support feed auto discovery.Source points to HTML document."

Almost the same says FEED Validator (http://feedvalidator.org/check.cgi?url=http://planet.mageia.org/rss20.xml"
"It looks like this is a web page, not a feed. I looked for a feed associated with this page, but couldn't find one. Please enter the address of your feed to validate."


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Ahmad Samir 2011-05-29 19:45:46 CEST

Component: Others => Other
Version: unspecified => trunk
Assignee: sysadmin-bugs => mageia-webteam
Product: Infrastructure => Websites

Comment 1 Michael Scherer 2011-05-29 20:21:01 CEST
This url is incorrect, where is it written to use this one ?

CC: (none) => misc

Michael Scherer 2011-05-29 21:02:16 CEST

Component: Other => planet.mageia.org

Comment 2 Palm Pre 2011-05-29 22:04:57 CEST
Originally Liferea had not working feed. There was a link to the page I mentioned. 

Several times Liferea was asking about adding url but there is no one specified. 

Oops - Feed (ATOM) link (http://planet.mageia.org/en/?type=atom10) should be used as url.  

BTW, it doesn't start news aggregator. Firefox opens messy wep page instead.
Comment 3 Michael Scherer 2011-05-29 22:28:51 CEST
The content type is wrong indeed it should be application/atom+xml , it is text/html.

Summary: Subscribing to mageia feed with Liferea gives "[...] this is a web page, not a feed" error => Wrong content-type on atom feed

Comment 4 Romain d'Alverny 2011-05-29 23:12:21 CEST
Quick fix to integrate on our side: https://github.com/rdalverny/moonmoon/commit/2b96dacc19e65208e69dc32de64a863f53e7dc35 (waiting to be pushed upstream).

CC: (none) => rdalverny

Comment 5 Romain d'Alverny 2011-06-02 15:01:08 CEST
Hmmm... where is our local copy of moonmoon for the planet?
Comment 6 Michael Scherer 2011-06-02 15:21:05 CEST
It should be running on champagne, afaik. I can mass patch everything, but I prefer to see with dams first, as he deployed everything ( last time I looked, it was taking a tarball on dams website so I do not know the version we used  ).
Comment 7 Romain d'Alverny 2011-06-02 15:35:43 CEST
Ok. Cc:ing him. :-)

CC: (none) => mageia

Comment 8 Damien Lallement 2011-06-10 10:25:59 CEST
WIP, stay tuned. :-)

Status: NEW => ASSIGNED
Assignee: mageia-webteam => mageia

Comment 9 Marja Van Waes 2011-10-16 20:16:16 CEST
(In reply to comment #8)
> WIP, stay tuned. :-)

@ Damien
Any news is welcome :)

http://planet.mageia.org/en/?type=atom10 works fine in Akregator. :)
But when I check with Feed Validator, it says the feed doesn't validate

@ Palm
Does it work with Liferea, now?

URL: http://planet.mageia.org/rss20.xml => http://planet.mageia.org/en/?type=atom10
CC: (none) => marja11

Comment 10 Palm Pre 2011-10-22 03:11:55 CEST
The page doesn't looks messy anymore.

However, click on link doesn't start Liverea automatically. I have to select what application I want to use to subscribe. 

Btw, I had separate bug for Liverea about changing the default link for Mageia blog RSS. It was fixed and closed a while ago.
Comment 11 Romain d'Alverny 2012-08-07 14:00:05 CEST
Dams? any update about this? (code in svn, closing this bug)
Comment 12 Marja Van Waes 2015-04-21 19:06:39 CEST
@ Palm Pre

Can this bug be closed, as far as you're concerned?

Dams went MIA, so assigning back to atelier team (if that's the default)

Status: ASSIGNED => RESOLVED
Resolution: (none) => FIXED
Assignee: mageia => atelier-bugs

Comment 13 Marja Van Waes 2015-04-21 19:07:17 CEST
Sorry, wanted to change status back from ASSIGNED to NEW

Status: RESOLVED => REOPENED
Resolution: FIXED => (none)

Comment 14 Filip Komar 2015-04-21 20:06:33 CEST
(In reply to Michael Scherer from comment #3)
> The content type is wrong indeed it should be application/atom+xml , it is
> text/html.

From "wget http://planet.mageia.org/en/?type=atom10" it seems it's set to "text/plain" :(. Probably it works better but I'm not sure it's correct.

CC: (none) => filip.komar


Note You need to log in before you can comment on or make changes to this bug.